##
##  icmake.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         icmake
Summary:      Build Tool
URL:          ftp://ftp.rug.nl/contrib/frank/software/linux/icmake/
Vendor:       Karel Kubat, Frank B. Brokken
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Building
License:      GPL
Version:      7.11.1
Release:      20090430

#   list of sources
Source0:      ftp://ftp.rug.nl/contrib/frank/software/linux/icmake/icmake_%{version}.tar.gz
Patch0:       icmake.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc, gcc::with_cxx = yes
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Icmake is a hybrid build-tool, a crossing between make(1) and a
    shell-script.

%track
    prog icmake = {
        version   = %{version}
        url       = ftp://ftp.icmake.org/pub/icmake/
        regex     = icmake-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    %{l_shtool} subst \
        -e 's;-g -Wall;;' \
        -e 's;bash;sh;' \
        bootstrap.sh
    %{l_shtool} subst \
        -e 's;/usr/bin;%{l_prefix}/bin;' \
        -e 's;/usr/share/icmake;%{l_prefix}/share/icmake;' \
        -e 's;/usr/share/man/man1;%{l_prefix}/man;' \
        -e 's;/usr/lib/icmake;%{l_prefix}/libexec/icmake;' \
        def/destinations
    %{l_bash} bootstrap.sh

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/icmake \
        $RPM_BUILD_ROOT%{l_prefix}/share/icmake \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        bin/icmake bin/icmun \
        $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 755 \
        bin/icmbuild bin/icmstart \
        $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -s -m 755 \
        bin/icm-pp bin/icm-comp bin/icm-exec \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/icmake/
    %{l_shtool} install -c -m 644 \
        doc/*.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    cp -r usr/share/icmake/* $RPM_BUILD_ROOT%{l_prefix}/share/icmake/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

